%global __provides_exclude ^mono\\(*
%global __requires_exclude ^mono\\(*

%define oname	OpenRA

Summary:	Open source game engine of Command & Conquer
Name:		openra
Version:	20161019
Release:	%mkrel 1
License:	GPLv3
Group:		Games/Strategy
URL:		http://openra.res0l.net
Source0:	https://github.com/%{oname}/%{oname}/archive/release-%{version}/%{oname}-release-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(mono)
BuildRequires:	fonts-ttf-freefont
BuildRequires:	pkgconfig(libgdiplus)
BuildRequires:	pkgconfig(lua) < 5.2

Requires:	lua5.1
Requires:	mono-core
Requires:	openal
Requires:	xdg-utils
Requires:	zenity

%description
%{oname} is a Libre/Free Real Time Strategy game engine that allows the
recreation of the early Command & Conquer titles.
%{oname} currently includes three distinct mods that reinvent:
- C&C (Tiberian Dawn)
- C&C: Red Alert
- Dune 2000.
Cross-platform multiplayer is supported between Windows, OS X, and Linux.
Singleplayer skirmishes against bots.

%prep
%autosetup -n %{oname}-release-%{version}

# Fix paths before %%make
sed -i 's,prefix ?= .*,prefix ?= %{_prefix},g' Makefile
sed -i 's,libdir ?= .*,libdir ?= %{_libexecdir},g' Makefile
sed -i 's,bindir ?= .*,bindir ?= %{_gamesbindir},g' Makefile

%build
# This will detect liblua.so
%make_build dependencies

%make_build
%make_build docs
%make_build man-page

%install
make DESTDIR=%{buildroot} install-all

make DESTDIR=%{buildroot} install-linux-shortcuts

make DESTDIR=%{buildroot} install-linux-mime

make DESTDIR=%{buildroot} install-linux-appdata

make DESTDIR=%{buildroot} install-man-page

# Remove mono debug files
find %{buildroot} -iname \*.mdb -delete

%check
%__make test

%files
%doc AUTHORS COPYING README.md CONTRIBUTING.md DOCUMENTATION.md
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_gamesbindir}/%{name}*
%{_iconsdir}/hicolor/*/apps/%{name}*.*
%{_libexecdir}/%{name}/
%{_mandir}/man6/%{name}.6.*


%changelog
* Sun Feb 12 2017 daviddavid <daviddavid> 20161019-1.mga6
+ Revision: 1085877
- new version: 20161019
- requires xdg-utils and zenity

* Sun Sep 11 2016 daviddavid <daviddavid> 20151224-3.mga6
+ Revision: 1051463
- fix dependencies

* Fri Jun 10 2016 joequant <joequant> 20151224-2.mga6
+ Revision: 1021044
- fix dependencies to lua5.1

* Fri Mar 11 2016 daviddavid <daviddavid> 20151224-1.mga6
+ Revision: 989307
- new version: 20151224
- make it noarch thus fixing empty debuginfo
- fix SDK path to find mono4
- add new upstream files (appdata, mime and man-page)
- filter out all auto and unneeded Provides/Requires on mono()

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + tv <tv>
    - rebuild for mono4

* Tue Dec 16 2014 akien <akien> 20141029-2.mga5
+ Revision: 803574
- Not a noarch package, it messes up dependencies

* Mon Dec 15 2014 zezinho <zezinho> 20141029-1.mga5
+ Revision: 803284
- new version fixes crash with mod ra

* Wed Oct 15 2014 umeabot <umeabot> 20140722-3.mga5
+ Revision: 748400
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20140722-2.mga5
+ Revision: 683231
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 akien <akien> 20140722-1.mga5
+ Revision: 674420
- Build documentation

  + dams <dams>
    - new version 20140722

* Mon Dec 23 2013 dams <dams> 20131223-1.mga5
+ Revision: 560061
- new version 20131223 (old patch merged upstream)

* Mon Oct 21 2013 umeabot <umeabot> 20130915-6.mga4
+ Revision: 538623
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 dams <dams> 20130915-5.mga4
+ Revision: 490004
- update requires

* Fri Sep 20 2013 dams <dams> 20130915-4.mga4
+ Revision: 481641
- Went back to a 'noarch' package...

* Thu Sep 19 2013 dams <dams> 20130915-3.mga4
+ Revision: 481446
- Package is no more 'noarch'

* Thu Sep 19 2013 dams <dams> 20130915-2.mga4
+ Revision: 481417
- add a patch to fix missing GeoIP.dll file

* Mon Sep 16 2013 dams <dams> 20130915-1.mga4
+ Revision: 480322
- new version 20130915

* Sat Jun 08 2013 fwang <fwang> 20130514-2.mga4
+ Revision: 440464
- br font
- drop unneeded br

* Fri Jun 07 2013 dams <dams> 20130514-1.mga4
+ Revision: 440223
- imported package openra

